PHP Manual
Prev |  | Next

# imageistruecolor

(PHP 4 >= 4.3.2, PHP 5)

imageistruecolor -- Finds whether an image is a truecolor image

## Description

bool imageistruecolor ( resource image )

imageistruecolor() finds whether the image `image` is a truecolor image.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

## Return Values

Returns `TRUE` if the `image` is truecolor, `FALSE` otherwise.

## Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

## See Also

imagecreatetruecolor()

Prev | Home | Next
imageinterlace | Up | imagejpeg